'use strict';

/**
 * 标准清单业务逻辑
 *
 * @author Mai
 * @date 2018/3/13
 * @version
 */

const StandardLib = require('./standard_lib');
module.exports = app => {

    class StdBills extends StandardLib {

        /**
         * 构造函数
         *
         * @param {Object} ctx - egg全局变量
         * @return {void}
         */
        constructor(ctx) {
            super(ctx, 'bill');
            this.dataId = 'bill_id';
            this.stdType = 'bill';
        }

    }

    return StdBills;
};